
Figure - Bug #114216
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试10小时，出现CRASH：com.android.launcher3（1）
2022-11-30 10:43 - CD Test赵飞

Status: CLOSED Start date: 2022-11-30

Priority: Normal Due date: 2022-12-15

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0052.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-11-30

Test Type: Monkey Test Root cause: 编码问题

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 200 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 180000 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.launcher3 (pid 13671)

// Short Msg: android.content.res.Resources$NotFoundException

// Long Msg: android.content.res.Resources$NotFoundException: Resource ID #0x7f07039e type #0x4 is not valid

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/1056:user/test-keys

// Build Changelist: 1056

// Build Time: 1669662831000

// android.content.res.Resources$NotFoundException: Resource ID #0x7f07039e type #0x4 is not valid

//     at android.content.res.Resources.getDimensionPixelSize(Resources.java:827)

//     at

com.android.launcher3.widget.picker.SearchAndRecommendationsScrollController.updateMarginAndPadding(SearchAndRecommendations

ScrollController.java:233)

//     at

com.android.launcher3.widget.picker.SearchAndRecommendationsScrollController.updateBottomInset(SearchAndRecommendationsScrollC

ontroller.java:128)

//     at com.android.launcher3.widget.picker.WidgetsFullSheet.setInsets(WidgetsFullSheet.java:346)

//     at com.android.launcher3.InsettableFrameLayout.setFrameLayoutChildInsets(InsettableFrameLayout.java:29)

//     at com.android.launcher3.InsettableFrameLayout.onViewAdded(InsettableFrameLayout.java:97)

//     at com.android.launcher3.dragndrop.DragLayer.onViewAdded(DragLayer.java:457)

//     at android.view.ViewGroup.dispatchViewAdded(ViewGroup.java:5129)

//     at android.view.ViewGroup.addViewInner(ViewGroup.java:5301)

//     at android.view.ViewGroup.addView(ViewGroup.java:5076)

//     at android.view.ViewGroup.addView(ViewGroup.java:5016)

//     at android.view.ViewGroup.addView(ViewGroup.java:4988)

//     at com.android.launcher3.views.AbstractSlideInView.attachToContainer(AbstractSlideInView.java:105)

//     at com.android.launcher3.widget.picker.WidgetsFullSheet.show(WidgetsFullSheet.java:612)
//     at com.android.launcher3.views.OptionsPopupView.openWidgets(OptionsPopupView.java:229)

//     at com.android.launcher3.views.OptionsPopupView.onWidgetsClicked(OptionsPopupView.java:219)

//     at com.android.launcher3.views.OptionsPopupView.$r8$lambda$pAmZ81tgdasP-vyIfkVDZFKhjAk(Unknown Source:0)

//     at com.android.launcher3.views.OptionsPopupView$$ExternalSyntheticLambda2.onLongClick(Unknown Source:0)

//     at com.android.launcher3.views.OptionsPopupView.handleViewClick(OptionsPopupView.java:95)

//     at com.android.launcher3.views.OptionsPopupView.onClick(OptionsPopupView.java:79)

//     at android.view.View.performClick(View.java:7441)

//     at android.view.View.performClickInternal(View.java:7418)

//     at android.view.View.access$3700(View.java:835)

//     at android.view.View$PerformClick.run(View.java:28681)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

【日志】

Tlog见FTP：

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_114216/Tlog.zip

History

#1 - 2022-11-30 10:44 - CD Test赵飞

- Description updated

#2 - 2022-11-30 10:45 - CD Test赵飞

- Subject changed from 【AF】【EVT2】【Monkey】Monkey测试10小时，出现ANR：com.android.launcher3（1） to 【AF】【EVT2】【Monkey】Monkey测

试10小时，出现CRASH：com.android.launcher3（1）

#3 - 2022-12-02 17:16 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

#4 - 2022-12-05 17:39 - CD APP-王营

- Due date set to 2022-12-15

#5 - 2022-12-06 11:02 - CD APP-黄棚

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王营 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-11-30

- Root cause set to 编码问题

■ Current conclusion
此问题属于微件列表UI适配阶段的问题

■ My analysis

微件列表适配完成后无此问题

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/165905/5

#6 - 2022-12-19 10:40 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 100 to 80

12月9号，14号，16号DB版本均未复现此问题

已跟踪3个版本未复现，关闭此问题

#7 - 2022-12-19 10:40 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

2025-07-17 3/3

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/165905/5

